Deep Copy Object Record
Deep Copy copies an object record, including all of the record’s related child and grandchild records. Each deep (hierarchical) copy can copy a maximum of 10,000 related records at a time.
See Copying Object Records
POST
/api/{version}/vobjects/{object_name}/{object_record_ID}/actions/deepcopyHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the parent object to copy. For example, product__v. |
{object_record_ID} | The ID of the specific object record to copy. |
In the request body, you can include field names to override field values in
the source record. For example, including external_id__v removes the
field value in the copy while leaving the source record unchanged.
If the input is formatted as CSV, only a single data line is accepted. If the input is formatted as JSON, only one in the list is accepted.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
https://myvault.veevavault.com/api/v20.3/vobjects/product__v/00P000000000202/actions/deepcopyResponse
Section link for Response{
"responseStatus": "SUCCESS",
"job_id": 26001,
"url": "/api/v20.3/services/jobs/26001"
}Example : Deep Copy with Override
Section link for Example : Deep Copy with Override[{"name__v":"Copied record 1","external_id__v":""}]